petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscStrbeginswith

Determines if a string begins with a certain string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrbeginswith(const char a[],const char b[],PetscBool *flg)

Not Collective

### Input Parameters

| a | - pointer to string
| b | - string to beginwith

### Output Parameter

flg -PETSC_TRUE or PETSC_FALSE

Notes: Not for use in Fortran

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages